import { BaseNode } from '../../base';
declare class ReactionNodeModel extends BaseNode.model {
    getNodeName(): any;
    getNodeAbstract(): {
        title: string;
        content: any[];
        showButton: boolean;
    };
    getNodeLogo(): any;
}
declare const _default: {
    type: string;
    component: import('react').FC<import('@logicflow/react-node-registry').ReactNodeProps>;
    model: typeof ReactionNodeModel;
};
export default _default;
